# azure_key

Provides the shared access key value used to sign Event Hubs requests.

This parameter applies to omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Name:

  azure_key

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  v8.2304

## Description

Specifies the value of the “Event Hubs shared access key”. This secret key string authenticates the connection and signs requests to the Event Hubs instance. Supply it unless `amqpAddress` already embeds the key.

## Input usage

    action(type="omazureeventhubs" azureKeyName="MyPolicy" azureKey="MySecretKey" ...)

## See also

See also omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.